Bio::LocatableSeq(3)

NAME
Bio::LocatableSeq - A Sequence object with start/end points on it

SYNOPSIS
Give standard usage here

DESCRIPTION
    # a normal sequence object
    $locseq->seq();
    $locseq->id();
    # has start,end points
    $locseq->start();
    $locseq->end();
    # inheriets off RangeI, so range operations possible
    $locseq->overlaps($seqfeature);

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org          - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists
The locatable sequence object was developed mainly because the SimpleAlign object requires this functionality, and in the rewrite of the Sequence object we had to decide what to do with this.

It is, to be honest, not well integrated with the rest of bioperl, for example, the trunc() function does not return a LocatableSeq object, as some might have thought. There are all sorts of nasty gotcha's about interactions between coordinate systems when these sort of objects are used.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  start
 Title   : start
 Usage   : $obj->start($newval)
 Function:
 Returns : value of start
 Args    : newvalue (optional)

  end
 Title   : end
 Usage   : $obj->end($newval)
 Function:
 Returns : value of end
 Args    : newvalue (optional)

  strand
 Title   : strand
 Usage   : $obj->strand($newval)
 Function:
 Returns : value of strand
 Args    : newvalue (optional)

  get_nse
 Title   : get_nse
 Usage   :
 Function:
 Example :
 Returns :
 Args    :